mysql_kill(3)

  Name
mysql_kill - Kills a connection

  Synopsis

        #include <mysql.h>

        int mysql_kill(MYSQL * mysql,
                       unsigned long);

  Description
This function is used to ask the server to kill a MariaDB thread specified by the processid parameter. This value must be retrieved by [show-processlist()](SHOW PROCESSLIST]]. If trying to kill the own connection mysql_thread_id(3) should be used.

  Parameter

•   mysql - a connection identifier, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3). Returns 0 on success, otherwise nonzero.

•   long - process id

  Notes

•   To stop a running command without killing the connection use KILL QUERY.

•   The mysql_kill() function only kills a connection, it doesn’t free any memory - this must be done explicitly by calling mysql_close(3).

  Return value
Returns zero on success, non zero on error.

  See also

•   mysql_thread_id(3)

•   mysql_close(3)

•   mariadb_cancel(3)